# $Revision: 1.25 $, $Date: 2011/05/24 13:34:37 $
Summary:	mcs - simple, abstractable configuration library
Summary(pl.UTF-8):	mcs - prosta, abstrakcyjna biblioteka konfiguracji
Name:		mcs
Version:	0.7.2
Release:	1
License:	BSD
Group:		Development/Tools
Source0:	http://distfiles.atheme.org/lib%{name}-%{version}.tgz
# Source0-md5:	c47fc81f3efacaa0a5a0b8fd14f9d48e
Patch0:		%{name}-kde3.patch
URL:		http://www.atheme.org/projects/mcs.shtml
BuildRequires:	GConf2-devel >= 2.6.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	kde4-kde3support-devel
BuildRequires:	libmowgli-devel >= 0.4.0
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications. It is hoped
that by using mcs, that the applications which use it will generally
have a more congruent feeling in regards to settings. There have been
other projects like this before (such as GConf), but unlike those
projects, mcs strictly handles abstraction. It doesn't impose any
specific data storage requirement, nor is it tied to any desktop
environment or software suite.

This package contains userland tools.

%description -l pl.UTF-8
mcs to biblioteka i zbiór narzędzi tworzących abstrakcję
przechowywania ustawień konfiguracyjnych dla aplikacji użytkownika.
Przy użyciu mcs aplikacje mają mieć bardziej zgodne odczucia odnośnie
ustawień. Wcześniej istniały już podobne projekty (jak GConf), ale w
przeciwieństwie do nich mcs ściśle obsługuje abstrakcję. Nie nakłada
żadnych konkretnych wymagań co do przechowywania danych ani nie jest
związana z żadnym środowiskiem graficznym czy pakietem oprogramowania.

Ten pakiet zawiera narzędzia przestrzeni użytkownika.

%package backend-gconf
Summary:	The gconf backend for mcs
Summary(pl.UTF-8):	Backend gconf dla mcs
Group:		X11/Applications
Requires:	%{name}-libs = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}

%description backend-gconf
The gconf backend for mcs. It uses the GConf configuration system to
store configuration and provides integration into the GNOME desktop
environment.

%description backend-gconf -l pl.UTF-8
Backend gconf dla mcs. Używa systemu konfiguracji GConf do
przechowywania konfiguracji i zapewnia integrację ze środowiskiem
GNOME.

%package backend-kconfig
Summary:	The kconfig backend for mcs
Summary(pl.UTF-8):	Backend kconfig dla mcs
Group:		X11/Applications
Requires:	%{name}-libs = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}

%description backend-kconfig
The kconfig backend for mcs. It uses the KDE configuration system to
store configuration and provides integration into the KDE desktop
environment.

%description backend-kconfig -l pl.UTF-8
Backend kconfig dla mcs. Używa systemu konfiguracji KDE do
przechowywania konfiguracji i zapewnia integrację ze środowiskiem KDE.

%package libs
Summary:	mcs library
Summary(pl.UTF-8):	Biblioteka mcs
Group:		Libraries

%description libs
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications. It is hoped
that by using mcs, that the applications which use it will generally
have a more congruent feeling in regards to settings. There have been
other projects like this before (such as GConf), but unlike those
projects, mcs strictly handles abstraction. It doesn't impose any
specific data storage requirement, nor is it tied to any desktop
environment or software suite.

This package contains mcs library.

%description libs -l pl.UTF-8
mcs to biblioteka i zbiór narzędzi tworzących abstrakcję
przechowywania ustawień konfiguracyjnych dla aplikacji użytkownika.
Przy użyciu mcs aplikacje mają mieć bardziej zgodne odczucia odnośnie
ustawień. Wcześniej istniały już podobne projekty (jak GConf), ale w
przeciwieństwie do nich mcs ściśle obsługuje abstrakcję. Nie nakłada
żadnych konkretnych wymagań co do przechowywania danych ani nie jest
związana z żadnym środowiskiem graficznym czy pakietem oprogramowania.

Ten pakiet zawiera bibliotekę mcs.

%package devel
Summary:	Header files for mcs
Summary(pl.UTF-8):	Pliki nagłówkowe mcs
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for mcs.

%description devel -l pl.UTF-8
Pliki nagłówkowe mcs.

%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p0

%build
QTDIR=%{_prefix}
CFLAGS="$CFLAGS -I%{_includedir}/qt"
CPPFLAGS="$CPPFLAGS -I%{_includedir}/qt"
export CFLAGS CPPFLAGS QTDIR
%{__aclocal} -I m4
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/%{name}-getconfval
%attr(755,root,root) %{_bindir}/%{name}-info
%attr(755,root,root) %{_bindir}/%{name}-query-backends
%attr(755,root,root) %{_bindir}/%{name}-setconfval
%attr(755,root,root) %{_bindir}/%{name}-walk-config

%files backend-gconf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/gconf.so

%files backend-kconfig
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/kconfig.so

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmcs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmcs.so.?
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/keyfile.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmcs.so
%{_includedir}/libmcs
%{_pkgconfigdir}/libmcs.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mcs.spec,v $
Revision 1.25  2011/05/24 13:34:37  draenog
- up to 0.7.2
- link KConfig backend with kde4-kde3support as it does not support kde4

Revision 1.24  2010/02/27 21:11:20  sparky
- unify %attr() %ghost order

Revision 1.23  2008/08/01 11:54:58  hawk
- release 3

Revision 1.22  2008/07/26 16:03:32  arekm
- release 2

Revision 1.21  2008/07/26 14:37:25  arvenil
- up to 0.7.1

Revision 1.20  2008-03-15 13:07:13  arvenil
- removed TODO (already done)

Revision 1.19  2008-03-15 13:02:45  qboosh
- typo

Revision 1.18  2008-03-15 13:02:02  qboosh
- unified: -libs before -devel
- more versioned BRs

Revision 1.17  2008-03-15 12:52:45  arvenil
- more verbose descriptions

Revision 1.16  2008-03-15 12:39:27  arvenil
- added gconf backend
- backends excluded to subpackages
  (except keyfile which is default and required by libs package)
- BR: GConf2-devel
- BR: kdelibs-devel
- sorted

Revision 1.15  2008-03-15 09:57:33  arvenil
- up to 0.7.0
- sonamefix.patch already in sources
- added kconfig backend
- BR: qt-devel

Revision 1.14  2007-12-29 23:23:24  arvenil
- ghost back

Revision 1.13  2007-12-29 17:32:19  megabajt
- added sonamefix patch to fix incorrect SONAME
- release 3

Revision 1.12  2007-11-09 20:19:09  arvenil
- libmowgli-devel >= 0.4.0

Revision 1.11  2007-11-09 18:37:44  arvenil
- no more ghost
- release 2

Revision 1.10  2007/11/07 20:10:05  arvenil
- up to 0.6.0

Revision 1.9  2007/09/09 17:05:32  arvenil
- up to 0.5.0
- updated URL and source URL

Revision 1.8  2007/03/30 22:45:45  qboosh
- pl desc

Revision 1.7  2007/03/17 11:47:11  glen
- %ghost in first column so it stands out better

Revision 1.6  2007/03/17 10:44:10  megabajt
- oops, kill unused --enable-static

Revision 1.5  2007/03/17 10:43:08  megabajt
- better summary & description
- ghost so.X symlink
- more TODO

Revision 1.4  2007/03/16 22:24:43  sls
- added TODO

Revision 1.3  2007/03/16 22:21:28  sls
- package all lib symlinks

Revision 1.2  2007/03/16 22:19:23  sls
- adapterized

Revision 1.1  2007/03/16 22:16:53  sls
- init; thanks for Kamil Dziedzic <kamil.listy@klecza.pl>
